body {
    padding: 0;
    margin: 0;
    background: #000;
    overflow: auto;
}

h1 {
    font-size: 60px;
    color: #ff9900;
    font-family: "Pixelify Sans", sans-serif;
    font-weight: 700;
}

h2 {
    font-size: 30px;
    color: #ff9900;
    font-family: "Pixelify Sans", sans-serif;
    font-weight: 700;
}


p {
    font-size: 40px;
    color: #ff9900;
    font-family: "Pixelify Sans", sans-serif;
    font-weight: 700;
}


.navigation-header {
    background-color: #ff9900;
    color: #fff;
    padding: 33px;
    position: fixed; /* Change from relative to fixed */
    top: 0; /* Stick it to the top of the viewport */
    left: 0; /* Align with the left edge of the viewport */
    width: 100%; /* Make it span the entire width of the viewport */
    z-index: 2;
}

/* Style for social links */
.social-links img {
    width: 40px; /* Adjust width as needed */
    height: auto; /* Maintain aspect ratio */
    margin-right: 20px; /* Add spacing between the images */
}

/* Adjustments for smaller screens */
@media only screen and (max-width: 768px) {
    .social-links img {
        width: 30px; /* Adjust width as needed for smaller screens */
    }
}

hr {
    background-color: #ff9900;
    border: #ff9900;
    height: 2px;
    max-width: 90%;
    display: block;
    margin-top: 3em;
    margin-bottom: 3em;
    margin-left: auto;
    margin-right: auto;
    border-style: inset;
    border-width: 1px;
  }

.menu-links {
    position: absolute;
    top: 50%; /* Vertically center the social links */
    right: 10px; /* Adjust as needed */
    transform: translateY(-50%);
    display: flex;
    align-items: center;
}

.social-links {
    position: absolute;
    top: 50%; /* Vertically center the social links */
    right: 10px; /* Align with the right edge of the navigation bar */
    transform: translateY(-50%);
    display: flex;
}

.social-links img {
    width: 50px; /* Adjust width as needed */
    height: auto; /* Maintain aspect ratio */
    margin-left: -30px; /* Add spacing between the images */
    margin-right: 40px;
    margin-top: 10px;
}

/* Adjustments for smaller screens */
@media only screen and (max-width: 768px) {
    .social-links img {
        width: 45px; /* Adjust width as needed for smaller screens */
    }
}

.menu-links a {
    text-decoration: none;
    color: #ffffff;
    font-size: 35px;
    font-family: "Pixelify Sans", sans-serif;
    font-weight: 700;
    font-style: normal;
    margin-right: 20px; /* Add spacing between the links */
}

.menu-links a:hover {
    transform: scale(1.1);
  }

.logo {
    position: absolute;
    top: 50%; /* Vertically center the logo */
    left: 10px; /* Adjust as needed */
    transform: translateY(-50%);
    display: flex;
    align-items: center; /* Align items vertically */
  }

.logo img {
    height: 70px; /* Adjust the height as needed */
    margin-right: 10px; /* Add spacing between the logo and text */
}

.logo img:hover {
    transform: scale(1.1);
  }

.logo-text {
    color: #000000;
    font-size: 32px; /* Adjust font size as needed */
    font-style: normal;
    font-family: "Pixelify Sans", sans-serif;
    font-weight: 700; /* Adjust font weight as needed */
}

#animation-container {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%; /* Changed height to cover the entire viewport */
    z-index: -1; /* Push the animation behind other content */
}

.slider {
    height: 250px;
    margin: auto;
    position: relative;
    width: 90%;
    display: grid;
    place-items: center;
    overflow: hidden;
    
}

.slide-track {
    display: flex;
    width: calc(250px * 18);
    animation: scroll 40s linear infinite;
}

.slide-track:hover {
    animation-play-state: paused;
}

@keyframes scroll {
    0% {
        transform: translateX(0);
    }
    100% {
        transform: translateX(calc(-250px * 9))
    }
}

.slide {
    height: 200px;
    width: 250px;
    display: flex;
    align-items: center;
    padding: 15px;
    perspective: 100px;
}

img {
    border-radius: 20px;
}

img:hover {
    transform: translateZ(20px);
    border-radius: 20px;
}

.info-area {
    color: #ff9900;
    margin-top: 80px;
    max-width: 1000px; /* Adjust the max-width as per your preference */
    margin-left: auto; /* Center the div horizontally */
    margin-right: auto; /* Center the div horizontally */
}

.additional-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-top: 20vh; /* Adjust as needed */
  }

@media only screen and (max-width: 768px) {
    .additional-text {
        top: 150px; /* Adjust this value as needed to position below the navigation bar */
    }
}

.additional-text img {
    max-width: 100%; /* Set maximum width to 100% of container */
    height: auto; /* Maintain aspect ratio */
}

.image-text-container {
    display: flex;
    justify-content: center;
    align-items: center;
    padding-bottom: 40px;
  }

  .image-text-container img {
    animation: pulse 2s infinite;
  }
  
  @keyframes pulse {
    0% {
      transform: scale(1);
    }
    50% {
      transform: scale(1.13);
    }
    100% {
      transform: scale(1);
    }
  }

  
.link-button {
    margin-top: 20px; /* Space between the image and button */
    padding: 10px 20px;
    background-color: #ff9900;
    color: #000000;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    font-size: 28px; /* Adjust the font size as needed */
    font-family: "Pixelify Sans", sans-serif;
    font-weight: 700;
    display: grid;
  }
  
  .link-button:hover {
    background-color: #d48003; /* Darken the button on hover */
    transform: scale(1.1);
  }


@media only screen and (max-width: 768px) {
    .additional-text {
      margin-top: 150px; /* Adjust as needed for smaller screens */
    }
    
    .image-text-container {
      flex-direction: column; /* Stack image and logo vertically on smaller screens */
      align-items: center;
    }
  
    .left-image,
    .right-logo {
      margin: 10px 0; /* Space between image and logo when stacked */
    }
  
    .trait-selectors {
      padding-left: 10px; /* Adjust padding for smaller screens */
    }
  }

@media (max-width: 480px) {
    .character-image .base-image, .character-image #character-canvas {
        width: 100%;
    }
    .character-image #download-button {
        margin-top: 20px; /* Added margin to separate the button from the image */
        margin-bottom: 30px;
    }
}


.photo-grid {
    color: rgb(0, 0, 0);
    padding: 10px;
    text-align: center;
    margin-bottom: -550px;
}

.photo-grid h2 {
    color: #ffffff;
    font-size: 40px; /* Adjust the font size as needed */
    font-family: "Pixelify Sans", sans-serif;
    font-weight: 400;
}

.grid-container {
    display: grid;
    grid-template-columns: repeat(3, 1fr); /* 4 columns */
    gap: 20px; /* Adjust gap between grid items */
    max-width: 1000px; /* Example width, adjust as needed */
    margin: 0 auto; /* Center the grid container horizontally */
    margin-bottom: 500px;
}

.grid-item {
    display: grid;
    justify-content: center;
    align-items: center;
    padding: 5px; /* Hide any overflow content */
}

.grid-item img {
    border: 3px solid #ff9900;
    width: calc(100% - 10px);
    height: auto;    
    object-fit: cover;
}

.grid-item img:hover {
    transform: scale(1.1);
}


.footer {
    color: #fff;
    margin-top: 50px; /* Adjust margin-top as needed for better positioning */
    align-items: center;
    text-align: center;
    padding: 20px; /* Increase padding for better spacing */
    position: relative; /* Change position to relative */
}

/* Adjustments for smaller screens */
@media only screen and (max-width: 768px) {
    .footer {
        position: static; /* Change position to static for default document flow */
        margin-top: 20px; /* Adjust margin-top for better positioning */
    }
}
